#!/bin/sh

git switch main || exit
git pull -r || exit

if test -f /bsd # on OpenBSD
then
    cd issues && make && cd ../
else
    nix shell nixpkgs#gnumake nixpkgs#libxml2 -c /bin/sh -c "cd issues && make"
fi
rclone sync -v --size-only \
	--sftp-set-modtime=false \
	--sftp-disable-hashcheck=true \
	--sftp-disable-concurrent-writes=true \
	--sftp-disable-concurrent-reads=true \
	public/ \
	webzine:webzine.puffy.cafe/
